# Diff::PackageManager

[![Build Status](https://travis-ci.org/kimromi/diff-package_manager.svg?branch=master)](https://travis-ci.org/kimromi/diff-package_manager)

Package manager updating diff tool

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'diff-package_manager'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install diff-package_manager

## Usage

```ruby
diff = Diff::PackageManager.new(:bundler, diff_string)
diff.exists?
diff.output
diff.output(:text)
diff.output(:markdown)
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/kimromi/diff-package_manager. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Diff::PackageManager project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/kimromi/diff-package_manager/blob/master/CODE_OF_CONDUCT.md).
