
# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'diff/package_manager/version'

Gem::Specification.new do |spec|
  spec.name          = 'diff-package_manager'
  spec.version       = Diff::PackageManager::VERSION
  spec.authors       = ['kimromi']
  spec.email         = ['kimromi4@gmail.com']

  spec.summary       = 'package manager updating diff tool'
  spec.description   = 'package manager updating diff tool'
  spec.homepage      = 'https://github.com/kimromi/diff-package_manager'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activesupport'
  spec.add_dependency 'gems'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'
end
